# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## 4.1.0 (2020-03-16)


### Features

* adding `isScalar` property to scalar generated value ([f577259](https://github.com/advanced-rest-client/api-example-generator/commit/f577259518128edc5d996d437616d7c9cc25ab63))


### Bug Fixes

* fix tests and update models with AMF 4.0.6 ([3693973](https://github.com/advanced-rest-client/api-example-generator/commit/3693973de85a8fd4a5fede48b53475418fa86423))
* **get-typed-value:** if shape is value, return shape ([e14ad8c](https://github.com/advanced-rest-client/api-example-generator/commit/e14ad8c4e967669c52db573f00a58a2719b56609))
* Adding check if array items exists before trying to access it. ([bc3f2a2](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixes [#1](https://github.com/advanced-rest-client/api-example-generator/issues/1) - nil value type ([81208f3](https://github.com/advanced-rest-client/api-example-generator/commit/81208f35733bf54d0f9bf567e589497e55ae6334))
* Fixes [#1](https://github.com/advanced-rest-client/api-example-generator/issues/1) - nil value type ([da27605](https://github.com/advanced-rest-client/api-example-generator/commit/da276050b2d91ca07dabe30c7ae4b67cc4970846))
* Fixes and issue when rendering example with falsy values. ([098625f](https://github.com/advanced-rest-client/api-example-generator/commit/098625f2f6207b78f5bc856cca1e644e188fa4b3))
* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633b49fea77e0e8a5a77493cea31508dc87f))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae6ed4f0d4c966c9c08a951b4ce7df23cf9))
* Fixes https://github.com/mulesoft/api-console/issues/597 ([c8ecb38](https://github.com/advanced-rest-client/api-example-generator/commit/c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd))
* Fixiing a test for Edge ([0b476b5](https://github.com/advanced-rest-client/api-example-generator/commit/0b476b5e590a600796c2360926ea35553209b168))
* Fixiing a test for Edge ([4ebaeac](https://github.com/advanced-rest-client/api-example-generator/commit/4ebaeac16ad78ab5bf85c0495f5c22ed5afea4f3))
* Fixing an issue with producing data types ([e56e505](https://github.com/advanced-rest-client/api-example-generator/commit/e56e505fdfdc200e68073ee575bdd9847d9f1e58))
* Fixing array value computation for union types ([895ba39](https://github.com/advanced-rest-client/api-example-generator/commit/895ba393b01f7ebfe6d31e5ac054c66a1a2e4422))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/66766311e9c32ab50c6725bddc851d24e6802b48))
* Fixing model computation after AMF data change ([f94b513](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* fixing SE-13092 - XML types processing ([d817217](https://github.com/advanced-rest-client/api-example-generator/commit/d8172174d1fa38aa25ac1d3fb800e8fe0bb2c192))
* Fixing similar to previous issue with typed examples ([97f6e75](https://github.com/advanced-rest-client/api-example-generator/commit/97f6e75b2f94800b1db20afe3456bf1afb09b4f4))
* Fixing support for Edge ([be5eed8](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))
* Fixing value assignment ([069d157](https://github.com/advanced-rest-client/api-example-generator/commit/069d1573726a794905aa413481283be41d3d4205))
* Fixing XML element name when creating XML tag ([f701405](https://github.com/advanced-rest-client/api-example-generator/commit/f701405e70e86708b25bd2de06e0ac7eeab0526b))
* Fixing XML element name when creating XML tag ([9e03fcc](https://github.com/advanced-rest-client/api-example-generator/commit/9e03fcc584b584eb370adef10de8c86c8c3f1a69))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead6156805d5c1ef7cb968d9e9b2ca2f5f89ac6))
* ignoreing examples that has no "raw" value ([4b39f4e](https://github.com/advanced-rest-client/api-example-generator/commit/4b39f4e89c594d0719ceafae76460ca1ab9f37ee))

<a name="2.0.7"></a>
## 2.0.7 (2019-01-20)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.7"></a>
## 2.0.7 (2018-12-27)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.7"></a>
## 2.0.7 (2018-12-27)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.7"></a>
## 2.0.7 (2018-12-27)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.7"></a>
## 2.0.7 (2018-12-27)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.7"></a>
## 2.0.7 (2018-12-27)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.6"></a>
## 2.0.6 (2018-12-15)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.5"></a>
## 2.0.5 (2018-10-29)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.4"></a>
## 2.0.4 (2018-10-27)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.3"></a>
## 2.0.3 (2018-09-18)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.2"></a>
## 2.0.2 (2018-09-12)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.1"></a>
## 2.0.1 (2018-09-08)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



<a name="2.0.0"></a>
# 2.0.0 (2018-08-31)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))

### Update

* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



## 2.0.8 (2019-01-22)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



## 2.0.8 (2019-01-22)


### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



# 2.1.0 (2019-02-01)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



## 2.1.1 (2019-02-02)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))



## 2.1.2 (2019-02-04)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))

### Fix

* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))



## 2.1.3 (2019-02-04)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))

### Fix

* Adding check if array items exists before trying to access it. ([bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))



## 2.1.4 (2019-02-11)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))

### Fix

* Adding check if array items exists before trying to access it. ([bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for array values of tracking elements ([11b190bb9a916055f9302c675d1b8c4e177f1f49](https://github.com/advanced-rest-client/api-example-generator/commit/11b190bb9a916055f9302c675d1b8c4e177f1f49))
* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))



## 2.1.5 (2019-02-12)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))

### Fix

* Adding check if array items exists before trying to access it. ([bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixes and issue when rendering example with falsy values. ([098625f2f6207b78f5bc856cca1e644e188fa4b3](https://github.com/advanced-rest-client/api-example-generator/commit/098625f2f6207b78f5bc856cca1e644e188fa4b3))
* Fixes https://github.com/mulesoft/api-console/issues/597 ([c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd](https://github.com/advanced-rest-client/api-example-generator/commit/c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd))
* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for array values of tracking elements ([11b190bb9a916055f9302c675d1b8c4e177f1f49](https://github.com/advanced-rest-client/api-example-generator/commit/11b190bb9a916055f9302c675d1b8c4e177f1f49))
* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Skipping tests until next AMF release ([f04047c79b5d5dca0b6759f896069973859e5a7c](https://github.com/advanced-rest-client/api-example-generator/commit/f04047c79b5d5dca0b6759f896069973859e5a7c))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))



## 2.1.6 (2019-02-20)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))

### Fix

* Adding check if array items exists before trying to access it. ([bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixes and issue when rendering example with falsy values. ([098625f2f6207b78f5bc856cca1e644e188fa4b3](https://github.com/advanced-rest-client/api-example-generator/commit/098625f2f6207b78f5bc856cca1e644e188fa4b3))
* Fixes https://github.com/mulesoft/api-console/issues/597 ([c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd](https://github.com/advanced-rest-client/api-example-generator/commit/c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd))
* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing similar to previous issue with typed examples ([97f6e75b2f94800b1db20afe3456bf1afb09b4f4](https://github.com/advanced-rest-client/api-example-generator/commit/97f6e75b2f94800b1db20afe3456bf1afb09b4f4))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for array values of tracking elements ([11b190bb9a916055f9302c675d1b8c4e177f1f49](https://github.com/advanced-rest-client/api-example-generator/commit/11b190bb9a916055f9302c675d1b8c4e177f1f49))
* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Skipping tests until next AMF release ([f04047c79b5d5dca0b6759f896069973859e5a7c](https://github.com/advanced-rest-client/api-example-generator/commit/f04047c79b5d5dca0b6759f896069973859e5a7c))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))



# 2.2.0 (2019-04-26)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))

### Fix

* Adding check if array items exists before trying to access it. ([bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixes and issue when rendering example with falsy values. ([098625f2f6207b78f5bc856cca1e644e188fa4b3](https://github.com/advanced-rest-client/api-example-generator/commit/098625f2f6207b78f5bc856cca1e644e188fa4b3))
* Fixes https://github.com/mulesoft/api-console/issues/597 ([c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd](https://github.com/advanced-rest-client/api-example-generator/commit/c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd))
* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing similar to previous issue with typed examples ([97f6e75b2f94800b1db20afe3456bf1afb09b4f4](https://github.com/advanced-rest-client/api-example-generator/commit/97f6e75b2f94800b1db20afe3456bf1afb09b4f4))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for array values of tracking elements ([11b190bb9a916055f9302c675d1b8c4e177f1f49](https://github.com/advanced-rest-client/api-example-generator/commit/11b190bb9a916055f9302c675d1b8c4e177f1f49))
* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Skipping tests until next AMF release ([f04047c79b5d5dca0b6759f896069973859e5a7c](https://github.com/advanced-rest-client/api-example-generator/commit/f04047c79b5d5dca0b6759f896069973859e5a7c))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))



## 2.2.1 (2019-05-24)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))

### Fix

* Adding check if array items exists before trying to access it. ([bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixes #1 - nil value type ([da276050b2d91ca07dabe30c7ae4b67cc4970846](https://github.com/advanced-rest-client/api-example-generator/commit/da276050b2d91ca07dabe30c7ae4b67cc4970846)), closes [#1](https://github.com/advanced-rest-client/api-example-generator/issues/1)
* Fixes and issue when rendering example with falsy values. ([098625f2f6207b78f5bc856cca1e644e188fa4b3](https://github.com/advanced-rest-client/api-example-generator/commit/098625f2f6207b78f5bc856cca1e644e188fa4b3))
* Fixes https://github.com/mulesoft/api-console/issues/597 ([c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd](https://github.com/advanced-rest-client/api-example-generator/commit/c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd))
* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing similar to previous issue with typed examples ([97f6e75b2f94800b1db20afe3456bf1afb09b4f4](https://github.com/advanced-rest-client/api-example-generator/commit/97f6e75b2f94800b1db20afe3456bf1afb09b4f4))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding support for array values of tracking elements ([11b190bb9a916055f9302c675d1b8c4e177f1f49](https://github.com/advanced-rest-client/api-example-generator/commit/11b190bb9a916055f9302c675d1b8c4e177f1f49))
* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Skipping tests until next AMF release ([f04047c79b5d5dca0b6759f896069973859e5a7c](https://github.com/advanced-rest-client/api-example-generator/commit/f04047c79b5d5dca0b6759f896069973859e5a7c))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))
* Updating tests configuration ([6002a50fbae444ca36f4c756a28a7f9d9dda7f6d](https://github.com/advanced-rest-client/api-example-generator/commit/6002a50fbae444ca36f4c756a28a7f9d9dda7f6d))



## 2.2.2 (2019-05-28)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))

### Fix

* Adding check if array items exists before trying to access it. ([bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixes #1 - nil value type ([da276050b2d91ca07dabe30c7ae4b67cc4970846](https://github.com/advanced-rest-client/api-example-generator/commit/da276050b2d91ca07dabe30c7ae4b67cc4970846)), closes [#1](https://github.com/advanced-rest-client/api-example-generator/issues/1)
* Fixes and issue when rendering example with falsy values. ([098625f2f6207b78f5bc856cca1e644e188fa4b3](https://github.com/advanced-rest-client/api-example-generator/commit/098625f2f6207b78f5bc856cca1e644e188fa4b3))
* Fixes https://github.com/mulesoft/api-console/issues/597 ([c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd](https://github.com/advanced-rest-client/api-example-generator/commit/c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd))
* Fixiing a test for Edge ([4ebaeac16ad78ab5bf85c0495f5c22ed5afea4f3](https://github.com/advanced-rest-client/api-example-generator/commit/4ebaeac16ad78ab5bf85c0495f5c22ed5afea4f3))
* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing similar to previous issue with typed examples ([97f6e75b2f94800b1db20afe3456bf1afb09b4f4](https://github.com/advanced-rest-client/api-example-generator/commit/97f6e75b2f94800b1db20afe3456bf1afb09b4f4))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))
* Fixing XML element name when creating XML tag ([9e03fcc584b584eb370adef10de8c86c8c3f1a69](https://github.com/advanced-rest-client/api-example-generator/commit/9e03fcc584b584eb370adef10de8c86c8c3f1a69))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding auto generated values for booleans, numbers, and null ([5cf1710ef2b47b25c0f864f070bb29dff6dbb5fe](https://github.com/advanced-rest-client/api-example-generator/commit/5cf1710ef2b47b25c0f864f070bb29dff6dbb5fe))
* Adding support for array values of tracking elements ([11b190bb9a916055f9302c675d1b8c4e177f1f49](https://github.com/advanced-rest-client/api-example-generator/commit/11b190bb9a916055f9302c675d1b8c4e177f1f49))
* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Removing unused argument from a function ([116df9c67b0e5ae11359f8c45fb1d2c72aa911c4](https://github.com/advanced-rest-client/api-example-generator/commit/116df9c67b0e5ae11359f8c45fb1d2c72aa911c4))
* Skipping tests until next AMF release ([f04047c79b5d5dca0b6759f896069973859e5a7c](https://github.com/advanced-rest-client/api-example-generator/commit/f04047c79b5d5dca0b6759f896069973859e5a7c))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))
* Updating tests configuration ([6002a50fbae444ca36f4c756a28a7f9d9dda7f6d](https://github.com/advanced-rest-client/api-example-generator/commit/6002a50fbae444ca36f4c756a28a7f9d9dda7f6d))



# 3.0.0 (2019-06-15)


### Breaking

* Changing API to fix AMF model generation issues ([05fc8adcc2757fb80164f5db147098243cb0beaa](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa))
* Upgrading component to Polymer 3 ([a8cb56a933691bbc6b6743af13eba93846bf6219](https://github.com/advanced-rest-client/api-example-generator/commit/a8cb56a933691bbc6b6743af13eba93846bf6219))

### Docs

* Adding docs ([e16d50ac98cd1dab1888be25742a4da2da73bde4](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4))
* Updating docs ([36bc769a1e58abd111738ea31cab9559739cffa7](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7))
* Updating Polymer docs ([4296bb319d2462c9413e8a1e69d067788c3db99d](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d))
* Updating readme file ([50786f6edff316bb700aeabb5918066196822e91](https://github.com/advanced-rest-client/api-example-generator/commit/50786f6edff316bb700aeabb5918066196822e91))

### Fix

* Adding check if array items exists before trying to access it. ([bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036))
* Fixes #1 - nil value type ([81208f35733bf54d0f9bf567e589497e55ae6334](https://github.com/advanced-rest-client/api-example-generator/commit/81208f35733bf54d0f9bf567e589497e55ae6334)), closes [#1](https://github.com/advanced-rest-client/api-example-generator/issues/1)
* Fixes #1 - nil value type ([da276050b2d91ca07dabe30c7ae4b67cc4970846](https://github.com/advanced-rest-client/api-example-generator/commit/da276050b2d91ca07dabe30c7ae4b67cc4970846)), closes [#1](https://github.com/advanced-rest-client/api-example-generator/issues/1)
* Fixes and issue when rendering example with falsy values. ([098625f2f6207b78f5bc856cca1e644e188fa4b3](https://github.com/advanced-rest-client/api-example-generator/commit/098625f2f6207b78f5bc856cca1e644e188fa4b3))
* Fixes https://github.com/mulesoft/api-console/issues/597 ([c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd](https://github.com/advanced-rest-client/api-example-generator/commit/c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd))
* Fixiing a test for Edge ([0b476b5e590a600796c2360926ea35553209b168](https://github.com/advanced-rest-client/api-example-generator/commit/0b476b5e590a600796c2360926ea35553209b168))
* Fixiing a test for Edge ([4ebaeac16ad78ab5bf85c0495f5c22ed5afea4f3](https://github.com/advanced-rest-client/api-example-generator/commit/4ebaeac16ad78ab5bf85c0495f5c22ed5afea4f3))
* Fixing an issue with producing data types ([e56e505fdfdc200e68073ee575bdd9847d9f1e58](https://github.com/advanced-rest-client/api-example-generator/commit/e56e505fdfdc200e68073ee575bdd9847d9f1e58))
* Fixing model computation after AMF data change ([f94b51332034aa610269644ecf592a6cc3d3c396](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396))
* Fixing similar to previous issue with typed examples ([97f6e75b2f94800b1db20afe3456bf1afb09b4f4](https://github.com/advanced-rest-client/api-example-generator/commit/97f6e75b2f94800b1db20afe3456bf1afb09b4f4))
* Fixing support for Edge ([be5eed8f9c987af82d763c49563c3b1d3b82edca](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca))
* Fixing XML element name when creating XML tag ([9e03fcc584b584eb370adef10de8c86c8c3f1a69](https://github.com/advanced-rest-client/api-example-generator/commit/9e03fcc584b584eb370adef10de8c86c8c3f1a69))
* Fixing XML element name when creating XML tag ([f701405e70e86708b25bd2de06e0ac7eeab0526b](https://github.com/advanced-rest-client/api-example-generator/commit/f701405e70e86708b25bd2de06e0ac7eeab0526b))

### Fixes

* APIC-184 - example generation for array shape ([ee5eaa6983324bd066933384af7ed414d8500529](https://github.com/advanced-rest-client/api-example-generator/commit/ee5eaa6983324bd066933384af7ed414d8500529))

### New

* Adding `rawOnly` option ([944e51335beac17890be78f4584d86d5db7c866f](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f))
* Adding support for JSON schema ([48d6636d97e838cb7550427f8c046e8156b816a7](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7))
* Adding support for union types ([800caa1b9857fa1bdb3be7b48b1cb6e774f13826](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826))

### Update

* Adding auto generated values for booleans, numbers, and null ([76778ae9124d4fe7345f4a86fe90690e17943ec5](https://github.com/advanced-rest-client/api-example-generator/commit/76778ae9124d4fe7345f4a86fe90690e17943ec5))
* Adding auto generated values for booleans, numbers, and null ([5cf1710ef2b47b25c0f864f070bb29dff6dbb5fe](https://github.com/advanced-rest-client/api-example-generator/commit/5cf1710ef2b47b25c0f864f070bb29dff6dbb5fe))
* Adding check for `NamedExamples` shape. ([4e580f029fe40e4fd26c3f5b527cf1f5ee84867f](https://github.com/advanced-rest-client/api-example-generator/commit/4e580f029fe40e4fd26c3f5b527cf1f5ee84867f))
* Adding support for array values of tracking elements ([11b190bb9a916055f9302c675d1b8c4e177f1f49](https://github.com/advanced-rest-client/api-example-generator/commit/11b190bb9a916055f9302c675d1b8c4e177f1f49))
* Adding support for single example ([0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907))
* Fixing tests. ([b4476ff749159f2a969983e2357696271f29ae51](https://github.com/advanced-rest-client/api-example-generator/commit/b4476ff749159f2a969983e2357696271f29ae51))
* Migrating component to LitElement ([ad5c2ffa599ee69cc89fb62283ce6f50f88b817f](https://github.com/advanced-rest-client/api-example-generator/commit/ad5c2ffa599ee69cc89fb62283ce6f50f88b817f))
* Now examples won't rentun data types when example is not provided. ([a38b0666120a14f8ea7fbc6d216afc6d05dad6ad](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad))
* Removing old CI files ([30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977))
* Removing unused argument from a function ([be7d8b4544e9f24a6e7fc90b2d2dbb5a12645839](https://github.com/advanced-rest-client/api-example-generator/commit/be7d8b4544e9f24a6e7fc90b2d2dbb5a12645839))
* Removing unused argument from a function ([116df9c67b0e5ae11359f8c45fb1d2c72aa911c4](https://github.com/advanced-rest-client/api-example-generator/commit/116df9c67b0e5ae11359f8c45fb1d2c72aa911c4))
* Skipping tests until next AMF release ([f04047c79b5d5dca0b6759f896069973859e5a7c](https://github.com/advanced-rest-client/api-example-generator/commit/f04047c79b5d5dca0b6759f896069973859e5a7c))
* Updated Travis configuration to connect to Sauce Labs. ([eff1c8ac485da5d54a3f83c184f4afd6e3978801](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801))
* Updating import paths to match web spec ([0e066f187cc71bbfa8983aee2d4b6caa0b2c472d](https://github.com/advanced-rest-client/api-example-generator/commit/0e066f187cc71bbfa8983aee2d4b6caa0b2c472d))
* Updating models and tests ([947b4157fbb5a599e7c37587a6de8ac50c09f258](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258))
* Updating tests configuration ([6002a50fbae444ca36f4c756a28a7f9d9dda7f6d](https://github.com/advanced-rest-client/api-example-generator/commit/6002a50fbae444ca36f4c756a28a7f9d9dda7f6d))
* Updating tests configuration ([d8a34e4f3e38e23678450fd1a84aa70376f4b5ac](https://github.com/advanced-rest-client/api-example-generator/commit/d8a34e4f3e38e23678450fd1a84aa70376f4b5ac))
* Updating typpings ([a6ed364f09abb9686c6a987bb890a6110e11323f](https://github.com/advanced-rest-client/api-example-generator/commit/a6ed364f09abb9686c6a987bb890a6110e11323f))
* Upgrading AMF version and models ([cfbdb7e1dae7c247706155b9b290d20a142d90d8](https://github.com/advanced-rest-client/api-example-generator/commit/cfbdb7e1dae7c247706155b9b290d20a142d90d8))



## 3.0.3 (2019-09-07)


### Bug Fixes

* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))



## 3.0.4 (2019-09-07)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))



## 3.0.5 (2019-09-13)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead615))



## 3.0.6 (2019-09-13)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead615))



## 3.0.7 (2019-09-13)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead615))


### Features

* adding `isScalar` property to scalar generated value ([f577259](https://github.com/advanced-rest-client/api-example-generator/commit/f577259))



# 4.0.0 (2019-10-12)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead615))


### Features

* adding `isScalar` property to scalar generated value ([f577259](https://github.com/advanced-rest-client/api-example-generator/commit/f577259))



## 4.0.1 (2019-10-12)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead615))


### Features

* adding `isScalar` property to scalar generated value ([f577259](https://github.com/advanced-rest-client/api-example-generator/commit/f577259))



## 4.0.2 (2019-10-13)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead615))


### Features

* adding `isScalar` property to scalar generated value ([f577259](https://github.com/advanced-rest-client/api-example-generator/commit/f577259))



## 4.0.3 (2019-10-17)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/6676631))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead615))
* ignoreing examples that has no "raw" value ([4b39f4e](https://github.com/advanced-rest-client/api-example-generator/commit/4b39f4e))


### Features

* adding `isScalar` property to scalar generated value ([f577259](https://github.com/advanced-rest-client/api-example-generator/commit/f577259))



## 4.0.4 (2019-10-26)


### Bug Fixes

* fixes APIC-223 - examples serialization from object's examples ([4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633b49fea77e0e8a5a77493cea31508dc87f))
* fixes APIC-233 - rendering of non-latic caracters in exampels ([f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae6ed4f0d4c966c9c08a951b4ce7df23cf9))
* fixing errors after AMF model change ([6676631](https://github.com/advanced-rest-client/api-example-generator/commit/66766311e9c32ab50c6725bddc851d24e6802b48))
* fixing SE-13092 - XML types processing ([d817217](https://github.com/advanced-rest-client/api-example-generator/commit/d8172174d1fa38aa25ac1d3fb800e8fe0bb2c192))
* fixing XML node creating from different cases of a name ([fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead6156805d5c1ef7cb968d9e9b2ca2f5f89ac6))
* ignoreing examples that has no "raw" value ([4b39f4e](https://github.com/advanced-rest-client/api-example-generator/commit/4b39f4e89c594d0719ceafae76460ca1ab9f37ee))


### Features

* adding `isScalar` property to scalar generated value ([f577259](https://github.com/advanced-rest-client/api-example-generator/commit/f577259518128edc5d996d437616d7c9cc25ab63))



<a name="4.0.5"></a>
## [4.0.5](https://github.com/advanced-rest-client/api-example-generator/compare/4.0.3...4.0.5) (2020-01-08)

### Build

* bumping version [3a4862c](https://github.com/advanced-rest-client/api-example-generator/commit/3a4862c3891be97a57b52413b2a016f558318231) by Pawel
* bumping version [4af63f2](https://github.com/advanced-rest-client/api-example-generator/commit/4af63f230e1d9f4da83f05c60684db118aeb7e76) by Francisco Di Giandomenico
* bumping version [edf226f](https://github.com/advanced-rest-client/api-example-generator/commit/edf226f7e97dd627ce8dccbdf9a2bc41523f2e32) by Pawel
* bumping version [ae09a2f](https://github.com/advanced-rest-client/api-example-generator/commit/ae09a2fb5e79e6be76061c6b0ceca7bb45cedac6) by Pawel Psztyc
* bumping version [4f9efac](https://github.com/advanced-rest-client/api-example-generator/commit/4f9efac87c6c647b9f6e43e7a75d61767b35c742) by Pawel Psztyc
* bumping version [9c8246f](https://github.com/advanced-rest-client/api-example-generator/commit/9c8246f3ad2049126aa3db9fcd8fbd5a171e95bb) by Pawel Psztyc
* bumping version [a22e986](https://github.com/advanced-rest-client/api-example-generator/commit/a22e9860c4f50d8270e1be8b94ac2bea18be8844) by Pawel Psztyc
* bumping version [3caacda](https://github.com/advanced-rest-client/api-example-generator/commit/3caacdad1160219fb68101ff6967f713b3bee315) by Pawel


### Update

* adding missing `isScalar` [b1ff14e](https://github.com/advanced-rest-client/api-example-generator/commit/b1ff14ef46a3b2b3f9e379f54f5a4f49d5af9e54) by Pawel
* replacing source maps keys [0a1d8a1](https://github.com/advanced-rest-client/api-example-generator/commit/0a1d8a11a8898ca9ecdf2030b3da776bcf580e6e) by Pawel
* upgrading to AMF version 4 [2b757c9](https://github.com/advanced-rest-client/api-example-generator/commit/2b757c9485cb4f7e3a786e6d4bb54688f84ed002) by Pawel
* upgrading dependencies [df4f5ad](https://github.com/advanced-rest-client/api-example-generator/commit/df4f5adfc68e848bdb4183ca48762c388bbc6a19) by Pawel Psztyc
* adding XML node name normalization to all methods [89de1e2](https://github.com/advanced-rest-client/api-example-generator/commit/89de1e28e5290a0fc72c8f6925ac9933b8ca9cf9) by Pawel Psztyc
* upgrading component to latest ARC standard [79bde7e](https://github.com/advanced-rest-client/api-example-generator/commit/79bde7e81b2d67669236d88f530093973dd56b53) by Pawel Psztyc


### Features

* adding `isScalar` property to scalar generated value [f577259](https://github.com/advanced-rest-client/api-example-generator/commit/f577259518128edc5d996d437616d7c9cc25ab63) by Pawel Psztyc


### Bug Fixes

* fixing SE-13092 - XML types processing [d817217](https://github.com/advanced-rest-client/api-example-generator/commit/d8172174d1fa38aa25ac1d3fb800e8fe0bb2c192) by Pawel
* ignoreing examples that has no "raw" value [4b39f4e](https://github.com/advanced-rest-client/api-example-generator/commit/4b39f4e89c594d0719ceafae76460ca1ab9f37ee) by Pawel
* fixing XML node creating from different cases of a name [fead615](https://github.com/advanced-rest-client/api-example-generator/commit/fead6156805d5c1ef7cb968d9e9b2ca2f5f89ac6) by Pawel Psztyc
* fixes APIC-223 - examples serialization from object's examples [4e73633](https://github.com/advanced-rest-client/api-example-generator/commit/4e73633b49fea77e0e8a5a77493cea31508dc87f) by Pawel Psztyc
* fixing errors after AMF model change [6676631](https://github.com/advanced-rest-client/api-example-generator/commit/66766311e9c32ab50c6725bddc851d24e6802b48) by Pawel
* fixes APIC-233 - rendering of non-latic caracters in exampels [f6cd0ae](https://github.com/advanced-rest-client/api-example-generator/commit/f6cd0ae6ed4f0d4c966c9c08a951b4ce7df23cf9) by Pawel Psztyc


### Other

* Update: Moving array JSON example processing logic to own function.
 [18d3edc](https://github.com/advanced-rest-client/api-example-generator/commit/18d3edc84605db74422ff8ae967f0faf02b288f5) by Pawel
* Fix: Fixing value assignment
 [069d157](https://github.com/advanced-rest-client/api-example-generator/commit/069d1573726a794905aa413481283be41d3d4205) by Pawel
* Fix: Fixing array value computation for union types
 [895ba39](https://github.com/advanced-rest-client/api-example-generator/commit/895ba393b01f7ebfe6d31e5ac054c66a1a2e4422) by Pawel
* Update: Updating typpings
 [a6ed364](https://github.com/advanced-rest-client/api-example-generator/commit/a6ed364f09abb9686c6a987bb890a6110e11323f) by Pawel
* Update: Migrating component to LitElement
 [ad5c2ff](https://github.com/advanced-rest-client/api-example-generator/commit/ad5c2ffa599ee69cc89fb62283ce6f50f88b817f) by Pawel
* Fix: Fixiing a test for Edge
 [0b476b5](https://github.com/advanced-rest-client/api-example-generator/commit/0b476b5e590a600796c2360926ea35553209b168) by Pawel Psztyc
* Fix: Fixiing a test for Edge
 [4ebaeac](https://github.com/advanced-rest-client/api-example-generator/commit/4ebaeac16ad78ab5bf85c0495f5c22ed5afea4f3) by Pawel Psztyc
* Update: Adding auto generated values for booleans, numbers, and null
 [76778ae](https://github.com/advanced-rest-client/api-example-generator/commit/76778ae9124d4fe7345f4a86fe90690e17943ec5) by Pawel Psztyc
* Update: Adding auto generated values for booleans, numbers, and null
 [5cf1710](https://github.com/advanced-rest-client/api-example-generator/commit/5cf1710ef2b47b25c0f864f070bb29dff6dbb5fe) by Pawel Psztyc
* Update: Removing unused argument from a function
 [be7d8b4](https://github.com/advanced-rest-client/api-example-generator/commit/be7d8b4544e9f24a6e7fc90b2d2dbb5a12645839) by Pawel Psztyc
* Update: Removing unused argument from a function
 [116df9c](https://github.com/advanced-rest-client/api-example-generator/commit/116df9c67b0e5ae11359f8c45fb1d2c72aa911c4) by Pawel Psztyc
* Fix: Fixing XML element name when creating XML tag
 [f701405](https://github.com/advanced-rest-client/api-example-generator/commit/f701405e70e86708b25bd2de06e0ac7eeab0526b) by Pawel Psztyc
* Fix: Fixing XML element name when creating XML tag
 [9e03fcc](https://github.com/advanced-rest-client/api-example-generator/commit/9e03fcc584b584eb370adef10de8c86c8c3f1a69) by Pawel Psztyc
* Update: Upgrading AMF version and models
 [cfbdb7e](https://github.com/advanced-rest-client/api-example-generator/commit/cfbdb7e1dae7c247706155b9b290d20a142d90d8) by Pawel Psztyc
* Update: Updating tests configuration
 [6002a50](https://github.com/advanced-rest-client/api-example-generator/commit/6002a50fbae444ca36f4c756a28a7f9d9dda7f6d) by Pawel Psztyc
* Fix: Fixes #1 - nil value type
 [81208f3](https://github.com/advanced-rest-client/api-example-generator/commit/81208f35733bf54d0f9bf567e589497e55ae6334) by Pawel Psztyc
* Fix: Fixes #1 - nil value type
 [da27605](https://github.com/advanced-rest-client/api-example-generator/commit/da276050b2d91ca07dabe30c7ae4b67cc4970846) by Pawel Psztyc
* Update: Fixing tests.
 [b4476ff](https://github.com/advanced-rest-client/api-example-generator/commit/b4476ff749159f2a969983e2357696271f29ae51) by Pawel Psztyc
* Update: Adding check for `NamedExamples` shape.
 [4e580f0](https://github.com/advanced-rest-client/api-example-generator/commit/4e580f029fe40e4fd26c3f5b527cf1f5ee84867f) by Pawel
* Docs: Updating readme file
 [50786f6](https://github.com/advanced-rest-client/api-example-generator/commit/50786f6edff316bb700aeabb5918066196822e91) by Pawel
* Update: Updating import paths to match web spec
 [0e066f1](https://github.com/advanced-rest-client/api-example-generator/commit/0e066f187cc71bbfa8983aee2d4b6caa0b2c472d) by Pawel
* Update: Updating tests configuration
 [d8a34e4](https://github.com/advanced-rest-client/api-example-generator/commit/d8a34e4f3e38e23678450fd1a84aa70376f4b5ac) by Pawel Psztyc
* Fix: Fixing an issue with producing data types
 [e56e505](https://github.com/advanced-rest-client/api-example-generator/commit/e56e505fdfdc200e68073ee575bdd9847d9f1e58) by Pawel Psztyc
* Fix: Fixing similar to previous issue with typed examples
 [97f6e75](https://github.com/advanced-rest-client/api-example-generator/commit/97f6e75b2f94800b1db20afe3456bf1afb09b4f4) by Pawel Psztyc
* Breaking: Upgrading component to Polymer 3
 [a8cb56a](https://github.com/advanced-rest-client/api-example-generator/commit/a8cb56a933691bbc6b6743af13eba93846bf6219) by Pawel Psztyc
* Update: Skipping tests until next AMF release
 [f04047c](https://github.com/advanced-rest-client/api-example-generator/commit/f04047c79b5d5dca0b6759f896069973859e5a7c) by Pawel Psztyc
* Fix: Fixes and issue when rendering example with falsy values.
 [098625f](https://github.com/advanced-rest-client/api-example-generator/commit/098625f2f6207b78f5bc856cca1e644e188fa4b3) by Pawel Psztyc
* Fix: Fixes https://github.com/mulesoft/api-console/issues/597
 [c8ecb38](https://github.com/advanced-rest-client/api-example-generator/commit/c8ecb384ac92c8e7a07de3ecadbe7e6d14c263cd) by Pawel Psztyc
* Update: Adding support for array values of tracking elements
 [11b190b](https://github.com/advanced-rest-client/api-example-generator/commit/11b190bb9a916055f9302c675d1b8c4e177f1f49) by Pawel Psztyc
* Fix: Adding check if array items exists before trying to access it.
 [bc3f2a2](https://github.com/advanced-rest-client/api-example-generator/commit/bc3f2a2bf97dd0f8e6bef6a79b876d96ba0c2036) by Pawel Psztyc
* Docs: Updating Polymer docs
 [4296bb3](https://github.com/advanced-rest-client/api-example-generator/commit/4296bb319d2462c9413e8a1e69d067788c3db99d) by Pawel Psztyc
* Update: Updating models and tests
 [947b415](https://github.com/advanced-rest-client/api-example-generator/commit/947b4157fbb5a599e7c37587a6de8ac50c09f258) by Pawel Psztyc
* New: Adding support for JSON schema
 [48d6636](https://github.com/advanced-rest-client/api-example-generator/commit/48d6636d97e838cb7550427f8c046e8156b816a7) by Pawel Psztyc
* New: Adding `rawOnly` option
 [944e513](https://github.com/advanced-rest-client/api-example-generator/commit/944e51335beac17890be78f4584d86d5db7c866f) by Pawel Psztyc
* Update: Removing old CI files
 [30c1b44](https://github.com/advanced-rest-client/api-example-generator/commit/30c1b4449ece4c3d44b5c19ce0b054fbc2f6b977) by Pawel
* Breaking: Changing API to fix AMF model generation issues
 [05fc8ad](https://github.com/advanced-rest-client/api-example-generator/commit/05fc8adcc2757fb80164f5db147098243cb0beaa) by Pawel
* Fix: Fixing support for Edge
 [be5eed8](https://github.com/advanced-rest-client/api-example-generator/commit/be5eed8f9c987af82d763c49563c3b1d3b82edca) by Paweł Psztyć
* Update: Now examples won't rentun data types when example is not provided.
 [a38b066](https://github.com/advanced-rest-client/api-example-generator/commit/a38b0666120a14f8ea7fbc6d216afc6d05dad6ad) by Pawel Psztyc
* Fix: Fixing model computation after AMF data change
 [f94b513](https://github.com/advanced-rest-client/api-example-generator/commit/f94b51332034aa610269644ecf592a6cc3d3c396) by Pawel Psztyc
* Docs: Updating docs
 [36bc769](https://github.com/advanced-rest-client/api-example-generator/commit/36bc769a1e58abd111738ea31cab9559739cffa7) by Pawel Psztyc
* New: Adding support for union types
 [800caa1](https://github.com/advanced-rest-client/api-example-generator/commit/800caa1b9857fa1bdb3be7b48b1cb6e774f13826) by Pawel Psztyc
* Update: Adding support for single example
 [0ee3c3d](https://github.com/advanced-rest-client/api-example-generator/commit/0ee3c3d2ae2c0cb762e548f9da0c3a978c36b907) by Pawel Psztyc
* Update: Updated Travis configuration to connect to Sauce Labs.
 [eff1c8a](https://github.com/advanced-rest-client/api-example-generator/commit/eff1c8ac485da5d54a3f83c184f4afd6e3978801) by Pawel Psztyc
* Docs: Adding docs
 [e16d50a](https://github.com/advanced-rest-client/api-example-generator/commit/e16d50ac98cd1dab1888be25742a4da2da73bde4) by Pawel Psztyc


<a name="4.1.0"></a>
## [4.1.0](https://github.com/advanced-rest-client/api-example-generator/compare/4.0.5...4.1.0) (2020-03-16)

### Update

* removing git add cmd from lint staged config [016483a](https://github.com/advanced-rest-client/api-example-generator/commit/016483aedf8669cae19eba3ec6ddec8b3b5230cb) by Pawel Psztyc
* updating dependencies [71f4a5d](https://github.com/advanced-rest-client/api-example-generator/commit/71f4a5d87b560b5572042b282a5d83902c3ca4e9) by Pawel Psztyc
* fix tests [a18a5f4](https://github.com/advanced-rest-client/api-example-generator/commit/a18a5f439bd0f348d9ff5ae0d24bcf35e3dd794a) by Leandro Bauret
* [ci skip] automated merge master->stage. syncing main branches [d309d78](https://github.com/advanced-rest-client/api-example-generator/commit/d309d7883d62aa427a96c2fae4d81d6b0aa28987) by Ci agent


### Bug Fixes

* fix tests and update models with AMF 4.0.6 [3693973](https://github.com/advanced-rest-client/api-example-generator/commit/3693973de85a8fd4a5fede48b53475418fa86423) by Leandro Bauret


### Refactor

* removing unused dev dependencies [e139d96](https://github.com/advanced-rest-client/api-example-generator/commit/e139d9696dfdd9d80d04cf8289e0380c94d69b24) by Pawel Psztyc


<a name="4.2.0"></a>
## [4.2.0](https://github.com/advanced-rest-client/api-example-generator/compare/4.1.0...4.2.0) (2020-04-24)

### Continuous integration

* removing required from travis config [c802bb7](https://github.com/advanced-rest-client/api-example-generator/commit/c802bb7b9cce14def78fc2f5a52cb15b51caedf5) by Pawel
* updating SL config [ab86744](https://github.com/advanced-rest-client/api-example-generator/commit/ab867447c0fe934b15111feaffa143518042e176) by Pawel


### Update

* updating project meta [3829011](https://github.com/advanced-rest-client/api-example-generator/commit/3829011d73f7bac82994332a7d60af5760fac558) by Pawel
* adding types config [68a43d8](https://github.com/advanced-rest-client/api-example-generator/commit/68a43d8f6c4a44ba153f0d46d1729144e1803791) by Pawel
* upgrading dependencies [076993b](https://github.com/advanced-rest-client/api-example-generator/commit/076993b3a1e6d55b32683d78c1b46e1afcb67b98) by Pawel
* [ci skip] automated merge master->stage. syncing main branches [d91d458](https://github.com/advanced-rest-client/api-example-generator/commit/d91d458584d3b3d46a860c84c8747d70d30e84c5) by Ci agent


### Documentation

* removing wc.org badge [4c31d7a](https://github.com/advanced-rest-client/api-example-generator/commit/4c31d7adf9907154439f8bbac7510dfe39f07034) by Pawel


### Bug Fixes

* fixes #6 - allowed character in XML name [e874e61](https://github.com/advanced-rest-client/api-example-generator/commit/e874e615f82fa841425074c18bca4db965af6257) by Pawel


### Refactor

* deprecating custom element and creating a JS library [ed43942](https://github.com/advanced-rest-client/api-example-generator/commit/ed439421a4a07f59d54c158710ee79d556fdd564) by Pawel


<a name="4.2.1"></a>
## [4.2.1](https://github.com/advanced-rest-client/api-example-generator/compare/4.2.0...4.2.1) (2020-04-25)

### Build

* bumping version [c20d029](https://github.com/advanced-rest-client/api-example-generator/commit/c20d029c79f3a4e6921961ea27c81c7c46fd747c) by Pawel


### Continuous integration

* increaing timeout correctly [8170570](https://github.com/advanced-rest-client/api-example-generator/commit/8170570915df3cdb96b85b3ee109430fcfb7be7a) by Pawel


### Update

* moving to manually defined types [88f42e5](https://github.com/advanced-rest-client/api-example-generator/commit/88f42e5ccb58edefb8a3045c03f521ad909724cd) by Pawel
* [ci skip] automated merge master->stage. syncing main branches [52df92e](https://github.com/advanced-rest-client/api-example-generator/commit/52df92e34b12b917cddcfb89d18d248638a63162) by Ci agent


<a name="4.2.2"></a>
## [4.2.2](https://github.com/advanced-rest-client/api-example-generator/compare/4.2.1...4.2.2) (2020-04-25)

### Build

* bumping version [e6bf1c7](https://github.com/advanced-rest-client/api-example-generator/commit/e6bf1c7d177f18a755af01a31365d04430bbb433) by Pawel


### Update

* [ci skip] automated merge master->stage. syncing main branches [361fe46](https://github.com/advanced-rest-client/api-example-generator/commit/361fe469c5673ed25fa154d6786c4cf93ad07112) by Ci agent


### Documentation

* updating documentation and types [60ea5ba](https://github.com/advanced-rest-client/api-example-generator/commit/60ea5baec3494abb4246468b62fdbfb0413f140c) by Pawel


### Bug Fixes

* fixing setting XML name [44377a1](https://github.com/advanced-rest-client/api-example-generator/commit/44377a198c967c0ce0791308c18ea2b164b65750) by Pawel


<a name="4.3.0"></a>
## [4.3.0](https://github.com/advanced-rest-client/api-example-generator/compare/4.2.2...4.3.0) (2020-05-12)

### Build

* bumping version [c453b18](https://github.com/advanced-rest-client/api-example-generator/commit/c453b189fd74a8cc53761fbcf71feb28f55add32) by Pawel Psztyc


### Update

* removing old type gen file [986b56d](https://github.com/advanced-rest-client/api-example-generator/commit/986b56dba6ac7c0caf629e59586e437f66478690) by Pawel Psztyc
* removing generated models [e97e6ff](https://github.com/advanced-rest-client/api-example-generator/commit/e97e6ff4932f5efbe76173fe315f18aff9345f7f) by Pawel Psztyc
* updating demo page [46e262d](https://github.com/advanced-rest-client/api-example-generator/commit/46e262d5fb0dd177aecd60b0cb8ef2aaf067a002) by Pawel Psztyc
* upgrading package to open-wc standards [f5c30c2](https://github.com/advanced-rest-client/api-example-generator/commit/f5c30c2cb00dfca9736d740af3e34d4ade4261ff) by Pawel Psztyc
* [ci skip] automated merge master->stage. syncing main branches [6e5e8ae](https://github.com/advanced-rest-client/api-example-generator/commit/6e5e8ae8963968b3988e772e1df8a1ad6ae247d3) by Ci agent


### Documentation

* updating npm badge [21ee499](https://github.com/advanced-rest-client/api-example-generator/commit/21ee499e2cc7cafe24d06177cf2f33deb48c91b3) by Pawel Psztyc


### Bug Fixes

* fixes SE-14813 [e7f2237](https://github.com/advanced-rest-client/api-example-generator/commit/e7f2237b5101509590d267a332321b114204b303) by Pawel Psztyc


